Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: Reuben Thomas <[email-masked]>
Date: Sun, 8 Sep 2024 16:20:35 +0100

On Sun, 8 Sept 2024 at 15:21, martin rudalics <[email-masked]> wrote:

>  >>
>  >> Do you get an assertion failure already before the C-x 5 2?
>  >
>  > No.
>
> Thanks.  Did you ever get an assertion failure for the original frame?
>

I don't think so, no.

If not, then we should try to understand why not.  Please with pristine
> master replace the initial assignment of 'frame-size-history' in frame.c
> from
>
>    frame_size_history = Qnil;
>
> to
>
>    frame_size_history = Fcons (make_fixnum (100), Qnil);
>
> start Emacs -Q and tell me the contents of the *frame-size-history*
> buffer.

There isn't one.

> Can you try not using any scaling experimentally?  Jan always complained
> that GTK does not handle scaling orderly (that is, in our sense).
>

I changed scaling to 100%, and it doesn't make any difference.

Thanks for the explanations of the other points.

-- 
https://rrt.sc3d.org